import request from '@/utils/request'

export class AddButtonApi {
  getList = (data={})=>{
    return  request({
        url: '/platform/v1/components/list',
        method: 'post',
        data: data
    })
  }

  getAllList = (data={})=>{
    return  request({
        url: '/platform/v1/components/allList',
        method: 'post',
        data: data
    })
  }

  configAddOrEdit = (data={})=>{
    return  request({
        url: '/platform/v1/components/addOrUpdate',
        method: 'post',
        data: data
    })
  }

  configDetail = (data={})=>{
    return  request({
        url: '/platform/v1/components/getInfo',
        method: 'post',
        data: data
    })
  }

  configDelete = (data={})=>{
    return  request({
        url: '/platform/v1/components/delete',
        method: 'post',
        data: data
    })
  }
}

export const addButtonApi = new AddButtonApi()