import request from '@/utils/request'

export class AddTemplateApi {
  getList = (data={})=>{
    return  request({
        url: '/platform/v1/template/list',
        method: 'post',
        data: data
    })
  }

  configAddOrEdit = (data={})=>{
    return  request({
        url: '/platform/v1/template/addOrUpdate',
        method: 'post',
        data: data
    })
  }

  configDetail = (data={})=>{
    return  request({
        url: '/platform/v1/template/getInfo',
        method: 'post',
        data: data
    })
  }

  configDelete = (data={})=>{
    return  request({
        url: '/platform/v1/template/delete',
        method: 'post',
        data: data
    })
  }
}

export const addTemplateApi = new AddTemplateApi()